Create Session

After creating a user you may now initiate sessions for that user. To create a session you may use POST /v1/sessions (for example when a user clicks a call to action). In the request it's required that you provide a URL for the user to redirect to once they have completed their Open Banking journey with us. You must also provide the userId. You may also optionally specify an arbitrary correlationId which will be returned unmodified upon completion of the user's journey with us. As with all other requests, you'll need to provide your API key as a header which you received from us to authenticate.

Body Params

The information provided from the lender to initiate a session.

string
required

URL provided by the partner to redirect the user at the end of the OB consents journey.

uuid
required

ID used to uniquely identify the user.

string

An optional ID that can be used to correlate to a Session. This must be 256 characters or less.

string

An optional brand identifier to facilitate white-labelling where a lender has multiple brands.

Responses

400

Invalid request body.

401

API key authentication unsuccessful.

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json